/* ************************loginpage css start*********************************** */
html {
    scroll-behavior: smooth;
  }

  body{
    backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  will-change: scroll-position;
  }

#content-inner:has(* #loginbox, #Forgotpassword) #content-header .tabs {
    display: none;
}

#content-inner:has(* #loginbox, #Forgotpassword) #content-header div.container div:first-child {
    display: none;
}

#content-inner:has(* #loginbox, #Forgotpassword) #content-header div.container div:nth-child(2) {
    display: none;
}

#content-inner:has(* #loginbox, #Forgotpassword) #coconnex_messages div:first-child {
    display: block !important;
}

#loginbox .item-list ul li {
    list-style: none;
    text-align: right;
    font-size: medium;
}

#loginbox .item-list ul li a {
    color: #16b455;
}

#loginbox #edit-name-wrapper input {
    padding: unset;
    border: unset;
    border-radius: unset;
}

#loginbox .form-item label {
    display: unset;
    font-weight: unset;
}

#loginbox .item-list ul {
    padding: unset;
}

#loginbox>.logo>img {
    vertical-align: unset;
}

div#content .section h1.title {
    display: none;
}

div#content .section div.tabs {
    display: none;
}

/* Assignments begin here */
.body-bg {
    background-image: url("/sites/default/files/login-bg.png");
    background-size: cover;
    background-repeat: no-repeat;
    /* background-position: center center; */
    background-attachment: fixed;
    background-color: #b2b2b2;
}

.login-welcome-txt {
    font-size: 15px;
}

#loginbox .item-list {
    position: relative;
}

.login_center,
.forgotPassword_center,
.Resetpassword_center,
.thankyou_info,
.UserProfileForm_center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 30px;
}

#loginbox,
#Forgotpassword,
#Resetpassword,
#thankyoubox {
    background-color: #ffffff;
    border-radius: 10px;
    min-height: 250px;
    min-width: 250px;
    /* max-height: 610px; */
    max-width: 520px;
    width: 100%;
}

#UserProfileForm {
    background-color: #ffffff;
    border-radius: 10px;
    min-height: 250px;
    min-width: 250px;
    /* max-height: 550px; */
    max-width: 520px;
    width: 100%;
    overflow-x: hidden;
}

#loginbox #edit-name-wrapper,
#edit-pass-wrapper {
    display: grid;
    padding-top: 10px;
    margin: 0 !important;
}

#loginbox #edit-name-wrapper input {
    padding: 10px;
    background-color: transparent;
    border: 1px solid var(--themeColor);
    border-radius: 5px;
    width: 100%;
}

#loginbox #edit-pass-wrapper input {
    padding: 10px;
    background-color: transparent;
    border: 1px solid var(--themeColor);
    border-radius: 5px;
    width: 100%;
}

#login-logo {
    background-image: url("/sites/all/themes/exhibitor_zone/images/login_page_logo.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    height: 100px;
    /* width: 215px; */
    margin: auto;
}

.login-button input {
    margin: auto;
    width: 100%;
    margin: 20px 0px;
}

#loginbox .form-required {
    color: red;
}

div#content .breadcrumb {
    display: none;
}

div#edit-name-wrapper label,
input {
    font-family: sans-serif !important;
}

div#loginbox,
.form-text {
    color: #757575;
}

div#login-box,
.login-title {
    color: var(--fontColor);
}

.login_buttons a {
    color: #000;
}

.bg-gray {
    background: #989898;
}



/*************************loginpage css end**************************************/






#Forgotpassword .form-item label {
    display: unset;
    font-weight: unset;
}

#Forgotpassword #edit-name-wrapper input,
#Forgotpassword #edit-mail-wrapper input,
#edit-captcha-response-wrapper input {
    padding: 10px;
    background-color: transparent;
    border: 1px solid var(--themeColor);
    border-radius: 5px;
    width: 100%;
    margin: 0.2rem 0rem;
}

#Forgotpassword #edit-submit {
    margin: auto;
    width: 100%;
}

.forgotPassword_center .back_btn {
    color: #16b455;
    font-size: medium;
    display: block;
}

#Forgotpassword .fa-arrow-left {
    font-size: 30px !important;
}

#Forgotpassword #edit-submit {
    margin: 20px 0px;
}

#edit-name-wrapper .form-required,
#edit-mail-wrapper .form-required {
    color: red;
}

.countdown {
    font-size: 2rem !important;
}

.not-logged-in #main-floorplan {
    background: #ffffff !important;
    margin: 0 10rem;
    height: 900px !important;
    padding: 3rem 0 0 0;
}

.not-logged-in #fp_controls_section {
    bottom: 15%;
    right: 16%;
}

.not-logged-in #main-wrapper {
    padding-bottom: 5%;
    padding-top: 3%;
}

/* .not-logged-in #floorplanhall{
    height: 850px !important;
} */

.page-user-register-exhibitor #content .section {
    padding: 30px !important;
    background-color: #ffffff !important;
    border-radius: 5px;
    /* max-width: 700px; */
    max-width: 90%;
    margin: 0 auto;
    position: relative;
}

.page-user-password .exb-heading,
.section-user .exb-heading,
.not-logged-in .exb-heading{
    display: none;
}

.page-user-register-exhibitor .exb-heading{
    display: block !important;
}

.page-user-register-exhibitor #user-register input[type=text],
.page-user-register-exhibitor #user-register input[type=password],
.page-user-register-exhibitor #user-register select {
    width: 100% !important;
}

.page-user-register-exhibitor .form-item label {
    display: block !important;
}

.ezone-floorplan-topbar {
    margin: 0 10rem;
    transform: translateY(11px);
}

.back-to-site-btn {
    color: #0056a4;
    white-space: nowrap;
}

.page-user-password .ezone-floorplan-topbar,
.page-user-register-exhibitor .ezone-floorplan-topbar,
.page-user .ezone-floorplan-topbar {
    display: none;
}

/* .page-user-password,
.page-user-register-exhibitor,
.page-user{
    background-attachment: fixed !important;
} */

#user-register .resizable-textarea #edit-field-ex-profile-0-value{
    width: 100% !important;
}

.page-user-register-exhibitor .registration-form-back-btn{
    position: absolute;
    top: 11px;
}

.page-user-register-exhibitor .exb-heading{
    padding-top: 40px;
}

#user-register .fa-arrow-left {
    font-size: 30px !important;
}

#edit-username-check-button {
	display: none;
  }
  .username-check-message {
	color: #FF0000;
	font-weight: normal;
	display:none;
  }
  .username-check-message-progress {
	color: #3E4A54;
	/* font-weight: bold; */
  }
  .username-check-message-accepted {
	color: #417C12;
  }
  .username-check-message-rejected {
	color: #FF0000;
  }
  #username-check-informer {
	width: 16px;
	position: absolute;
	display: none;
  }

  #user-register select{
    margin: 6px;
  }


@media(min-width:576px) {
    #user-login>div {
        width: 100% !important;
        height: auto !important;
    }
    #user-pass > div {
        width: 100% !important;
        height: auto !important;
    }
}

@media(max-width:1300px){
    .not-logged-in #main-floorplan{
        margin: 0 4rem;
    }
    .ezone-floorplan-topbar{
        margin: 0 4rem;
    }
}

@media(max-width:768px){
    .not-logged-in #main-floorplan{
        height: 800px !important;
    }
}

@media(max-width:576px){
    .not-logged-in #main-floorplan,
    .ezone-floorplan-topbar{
        margin: 0;
    }
    .not-logged-in #main-floorplan{
        height: 500px !important;
    }
    .not-logged-in #fp_controls_section:not(.fp_controls_toggle_mode){
        bottom: calc(12% - -160px / 2);
    }
    #user-register #edit-field-ex-companylogo-0-upload-wrapper #edit-field-ex-companylogo-0-upload{
        width: 100% !important;
    }
    .page-user-register-exhibitor #content .section{
        max-width: 100%;
    }
}